Bug 208771 - Printing to a second printer kills OOwriter
Printing to a second printer kills OOwriter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 16:49 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 06:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File which causes oowriter to die (41.01 KB, application/vnd.oasis.opendocument.text)
2006-10-01 16:49 EDT, Paul F. Johnson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 68532 None None None Never

  None (edit)
Description Paul F. Johnson 2006-10-01 16:49:51 EDT
Description of problem:
I have two printers set on my machine, a Samsung ML2250 laser and a HP DeskJet
980cxi. I can print anything to the laser, but when I try to print to the DJ,
OOwriter dies

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.4-5.1

How reproducible:
Always

Steps to Reproduce:
1. Load attached document and try to print
2.
3.
  
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nv_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-27-x86_64 libgcj-4.1.1-27-i386
(V)    kernel is: Linux 2.6.18-1.2699.fc6 #1 SMP Tue Sep 26 23:49:16 EDT 2006
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.1-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 5.92 (FC6 Test3)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0xaf32e708: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36708
0xaf32f18b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3718b
0xc4630210: /lib64/libc.so.6 + 0x30210
0xad0c7c5a: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xf8c5a
(BitmapReadAccess::GetPixelFor_24BIT_TC_BGR(unsigned char*, long, ColorMask
const&) + 0x1a)
0xb7db39cf: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so + 0x409cf
0xb27a5ad5: /usr/lib64/openoffice.org2.0/program/libpsp680lx.so + 0x81ad5
(psp::PrinterGfx::DrawPS2TrueColorImage(psp::PrinterBmp const&, Rectangle
const&) + 0x95)
0xb27a5e4e: /usr/lib64/openoffice.org2.0/program/libpsp680lx.so + 0x81e4e
(psp::PrinterGfx::DrawBitmap(Rectangle const&, Rectangle const&, psp::PrinterBmp
const&) + 0x2ae)
0xb7db45c4: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x415c4 (PspGraphics::drawBitmap(SalTwoRect const*, SalBitmap const&) + 0xe4)
0xad1b9317: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x1ea317
(SalGraphics::DrawBitmap(SalTwoRect const*, SalBitmap const&, OutputDevice
const*) + 0x97)
0xad120e94: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x151e94
0xad121549: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x152549
(OutputDevice::DrawBitmap(Point const&, Size const&, Bitmap const&) + 0x89)
0xad0f5ed1: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x126ed1
0xad0f65c8: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x1275c8
0xad09da20: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xcea20
(Timer::ImplTimerCallbackProc() + 0x80)
0xb7b0e1a0: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x161a0
0xc9a2d44b: /lib64/libglib-2.0.so.0 + 0x2d44b
0xc9a2cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0xc9a2fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0xc9a302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xb7b0fa3b: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17a3b
0xad097d11: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8d11
(Application::Yield(bool) + 0x51)
0xad097daa: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8daa
(Application::Execute() + 0x2a)
0xaaad8d15: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd15
(desktop::Desktop::Main() + 0x15a5)
0xad09d4d9: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce4d9
0xad09d5c5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce5c5
(SVMain() + 0x25)
0xaaacbd36: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed36
(sal_main + 0x46)
0xc461da44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/swriter.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab50b000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab70f000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
(0x00002aaaab929000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabc03000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabf05000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac188000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac396000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6e4000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...


Expected results:
File prints

Additional info:
It worked fine on the last spin
Comment 1 Paul F. Johnson 2006-10-01 16:49:51 EDT
Created attachment 137512 [details]
File which causes oowriter to die
Comment 2 Paul F. Johnson 2006-10-01 16:50:55 EDT
It makes no difference which printer I try to use, this file kills OOwriter when
trying to print
Comment 3 Paul F. Johnson 2006-10-01 16:58:35 EDT
The problem looks to be that if any graphics (such as jpegs) are included in the
file, this is causing OOo to bork. I can't print a presentation or another file
which contains clip art.

Looking at the start of the stack report, that looks to be the case.
Comment 4 Caolan McNamara 2006-10-02 03:32:46 EDT
reproducable
Comment 5 Caolan McNamara 2006-10-02 05:24:08 EDT
damn, the patch for this fell out of our cvs when upstreaming these patches, put
back in again.

Note You need to log in before you can comment on or make changes to this bug.